<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Ardalis.Specification.EntityFrameworkCore" Version="9.3.1" />
        <PackageReference Include="AutoMapper" Version="16.1.0" />
        <PackageReference Include="AutoMapper.Collection" Version="13.0.0" />
        <PackageReference Include="FastEndpoints" Version="8.0.1" />
        <PackageReference Include="FastEndpoints.Security" Version="8.0.1" />
        <PackageReference Include="FastEndpoints.Swagger" Version="8.0.1" />
        <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="10.0.3"/>
        <PackageReference Include="Microsoft.EntityFrameworkCore" Version="10.0.3" />
        <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="10.0.3">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="10.0.3" />
        <PackageReference Include="Plainquire.Page" Version="7.1.0" />
    </ItemGroup>

</Project>
